* {
    box-sizing: border-box;
}

*:before,
*:after {
    box-sizing: border-box;
}

html,
body {
    height: 100%;
    position: relative;
}

body {
    font-family: "Heebo", "Helvetica Neue", Helvetica, sans-serif;
    background-color: var(--white);
    color: var(--black) !important;
}

.main-container {
    padding-top: 76px;
    min-height: 100vh;
    overflow: hidden;
    display: block;
    position: relative;
    padding-bottom: 100px;
}

/* Hyperlink CSS */
a {
    text-decoration: none;
    color: var(--dark_purple);
}

a:hover,
a:focus {
    color: var(--light_purple);
}

a:hover,
a:focus,
input[type=submit]:hover,
input[type=submit]:focus {
    text-decoration: none;
    transition: 0.2s ease-in-out;
    -moz-transition: 0.2s ease-in-out;
    -webkit-transition: 0.2s ease-in-out;
}

h2,
h3 {
    letter-spacing: .25rem;
}

.card-img-top {
    background-color: var(--black);
    color: var(--white);
}

.btn:focus,
.btn:active {
    outline: none !important;
    box-shadow: none;
}

.scroll_hidden {
    opacity: 0;
    transform: translateY(20%);
    transition: all 0.5s ease-in-out;
}

.scroll_visible {
    opacity: 1;
    transform: translateY(0);
    transition: all 0.5s ease-in-out;
}

.form-control:focus {
    border-color: var(--light_purple);
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.075) inset, 0px 0px 8px rgba(124, 67, 189, 0.5);
}

a:focus {
    border-color: var(--light_purple);
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.075) inset, 0px 0px 8px rgba(124, 67, 189, 0.5);
}

.btn-primary {
    background: var(--light_purple);
    color: var(--white);
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
}

.btn-primary:hover,
.btn-primary:focus {
    background: var(--dark_purple);
    transform: translateY(-5%);
    transition: all 0.2s linear;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.25), 0 1px 1px rgba(0, 0, 0, 0.22);
}

.btn {
    border: none;
    cursor: pointer;
    transition: 400ms ease all;
    outline: none;
}

.modal-header {
    background-color: var(--black);
    color: var(--white);
}


/* Header CSS */

.navbar-dark {
    color: var(--white);
}

.bg-dark {
    background-color: var(--black) !important;
}

.navbar-dark .navbar-toggler {
    border-color: var(--dark_purple);
}

.active {
    color: var(--light_purple) !important;
}

/* Footer CSS */
footer {
    color: var(--white) !important;
    background-color: var(--black) !important;
    position: absolute;
    bottom: 0;
    width: 100%;
}

footer a {
    color: var(--white);
    text-decoration: none;
}

footer a:hover,
footer a:focus {
    color: var(--light_purple);
}

/* Work CSS */
.card {
    display: block;
    border-radius: 2px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    transition: all 0.3s cubic-bezier(.25, .8, .25, 1);
    background-color: white;
    color: var(--black);
    border: none !important;
    letter-spacing: .1rem !important;
}

.card:hover {
    cursor: pointer;
    box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
    font-weight: bold;
}

.card-title {
    margin-top: 0px;
    font-weight: 700;
}

.pulsate {
    animation: pulsate infinite 1s;
}

@-webkit-keyframes pulsate {
    0% {
        -webkit-transform: scale(1, 1);
        opacity: 1;
    }

    100% {
        -webkit-transform: scale(1.2, 1.2);
        opacity: 0.5;
    }
}

/** Makes sure that the recaptcha is centered. */
div.g-recaptcha {
    margin: 0 auto;
    width: 304px;
}

.devicon::before {
    font-size: 5em;
}